
package de.ivu.elect.dokumente.ergebnis;

import de.ivu.elect.business.security.Customer;
import de.ivu.elect.business.wahl.entity.NlWahlart;
import de.ivu.elect.business.wahl.entity.Wahl;

public class NlWasModelN102GsbVsCsBijlage1DocumentExportMapper extends AbstractNlWasModelN102EtAlDocumentExportMapper {

  public static final String FILE_FORMAT_NAME = "file.format.ergebnisdokument.export.model1.gsb-vs-cs-bijlage";

  public NlWasModelN102GsbVsCsBijlage1DocumentExportMapper() {
    super();
  }

  @Override
  protected boolean isAcceptWahlart(Wahl wahl, Customer customer) {
    return super.isAcceptWahlart(wahl, customer) && NlWahlart.valueOf(wahl).isStimmabgabeVorzeitigUnterstuetzt(); // ELECTVAPP-1981
  }

  @Override
  public String getFileFormatName() {
    return FILE_FORMAT_NAME;
  }

  @Override
  protected String getDokumentVorlageNameInfix() {
    return "Model K 2 bijlage"; // ELECTVAPP-1581, a.k.a. "Model GSB-VS-CS bijlage"...
  }
}
